[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTCustomNode.CreateWith

Create a new instance of THTCustomNode

## Declaration

Source position: contnrs.pp line 343

`public constructor THTCustomNode.CreateWith(`
`const AString: string`
`);`

## Arguments

`AString` |  | Key value for this node.

## Description

CreateWith creates a new instance of THTCustomNode and stores the string AString in it. It should never be necessary to call this method directly, it will be called by the TFPCustomHashTable class when needed.

## Errors

If no more memory is available, an exception may be raised.

## See also

TFPCustomHashTable |  | Hash class

Documentation generated on: Feb 26 2014